- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_PSDL_Struct_Visitor Class Reference

`#include <PSDL_Struct_Visitor.h>`

Inheritance diagram for TAO_PSDL_Struct_Visitor:

[legend]
Collaboration diagram for TAO_PSDL_Struct_Visitor:

[legend]
List of all members.

## Public Member Functions
| TAO_PSDL_Struct_Visitor ()
| ~TAO_PSDL_Struct_Visitor ()
int | visit_identifier (TAO_PSDL_Identifier *identifier)
int | visit_type_spec (TAO_PSDL_Type_Spec *type_spec)
int | visit_declarator (TAO_PSDL_Declarator *declarator)
int | visit_predefined_type (TAO_PSDL_Predefined_Type *predefined_type)
void | gen_code_for_si (void)
void | gen_code_for_sinline (void)
## Private Member Functions
void | print_class_for_structure (ACE_CString struct_name)
## Private Attributes
int | identifiers_count_
const char * | struct_name_

## Constructor & Destructor Documentation

TAO_PSDL_Struct_Visitor::TAO_PSDL_Struct_Visitor | ( |  | ) |

TAO_PSDL_Struct_Visitor::~TAO_PSDL_Struct_Visitor | ( |  | ) |

## Member Function Documentation

void TAO_PSDL_Struct_Visitor::gen_code_for_si | ( | void |  | ) | `[virtual]`

Reimplemented from TAO_PSDL_Node_Visitor.

void TAO_PSDL_Struct_Visitor::gen_code_for_sinline | ( | void |  | ) | `[virtual]`

Reimplemented from TAO_PSDL_Node_Visitor.

void TAO_PSDL_Struct_Visitor::print_class_for_structure | ( | ACE_CString | struct_name | ) | `[private]`

int TAO_PSDL_Struct_Visitor::visit_declarator | ( | TAO_PSDL_Declarator * | declarator | ) | `[virtual]`

Reimplemented from TAO_PSDL_Node_Visitor.

int TAO_PSDL_Struct_Visitor::visit_identifier | ( | TAO_PSDL_Identifier * | identifier | ) | `[virtual]`

Reimplemented from TAO_PSDL_Node_Visitor.

int TAO_PSDL_Struct_Visitor::visit_predefined_type | ( | TAO_PSDL_Predefined_Type * | predefined_type | ) | `[virtual]`

Reimplemented from TAO_PSDL_Node_Visitor.

int TAO_PSDL_Struct_Visitor::visit_type_spec | ( | TAO_PSDL_Type_Spec * | type_spec | ) | `[virtual]`

Reimplemented from TAO_PSDL_Node_Visitor.

## Member Data Documentation

int TAO_PSDL_Struct_Visitor::identifiers_count_`[private]`

const char* TAO_PSDL_Struct_Visitor::struct_name_`[private]`

The documentation for this class was generated from the following files:

- PSDL_Struct_Visitor.h
- PSDL_Struct_Visitor.cpp